[iMac11,1] Unable to boot

Bug #1406810 reported by Nicolas Jungers on 2014-12-31
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
xorg (Ubuntu)
High
Unassigned

Bug Description

I'm unable to boot.

WORKAROUND: Use kernel parameter:
nomodeset

The causes a sluggish display and an inability to wake up the screen after going to sleep.

---
.tmp.unity.support.test.0:

ApportVersion: 2.14.1-0ubuntu3.19
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
DistUpgraded: Fresh install
DistroCodename: trusty
DistroRelease: Ubuntu 14.04
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] RV770/M98L [Mobility Radeon HD 4850] [1002:944a] (prog-if 00 [VGA controller])
   Subsystem: Apple Inc. Device [106b:00b5]
InstallationDate: Installed on 2015-01-01 (440 days ago)
InstallationMedia: Ubuntu-Server 14.04.1 LTS "Trusty Tahr" - Release amd64 (20140722.3)
MachineType: Apple Inc. iMac11,1
Package: xorg 1:7.7+1ubuntu8.1
PackageArchitecture: amd64
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-79-generic root=UUID=f19c8f84-1553-4a36-889a-acfb8a13da9a ro
ProcVersionSignature: Ubuntu 3.13.0-79.123-generic 3.13.11-ckt33
Tags: trusty ubuntu compiz-0.9
Uname: Linux 3.13.0-79-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo video
_MarkForUpload: True
dmi.bios.date: 03/17/10
dmi.bios.vendor: Apple Inc.
dmi.bios.version: IM111.88Z.0034.B02.1003171314
dmi.board.name: Mac-F2268DAE
dmi.board.vendor: Apple Inc.
dmi.chassis.type: 13
dmi.chassis.vendor: Apple Inc.
dmi.chassis.version: Mac-F2268DAE
dmi.modalias: dmi:bvnAppleInc.:bvrIM111.88Z.0034.B02.1003171314:bd03/17/10:svnAppleInc.:pniMac11,1:pvr1.0:rvnAppleInc.:rnMac-F2268DAE:rvr:cvnAppleInc.:ct13:cvrMac-F2268DAE:
dmi.product.name: iMac11,1
dmi.product.version: 1.0
dmi.sys.vendor: Apple Inc.
version.compiz: compiz 1:0.9.11.3+14.04.20150313-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.64-1~ubuntu14.04.1
version.libgl1-mesa-dri: libgl1-mesa-dri 10.1.3-0ubuntu0.6
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.1.3-0ubuntu0.6
version.xserver-xorg-core: xserver-xorg-core 2:1.15.1-0ubuntu2.7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.8.2-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.3.0-1ubuntu3.1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.910-0ubuntu1.6
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.10-1ubuntu2
xserver.bootTime: Wed Mar 16 19:43:11 2016
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.15.1-0ubuntu2.7
xserver.video_driver: radeon
---
ApportVersion: 2.20.1-0ubuntu2.1
Architecture: amd64
DistroRelease: Ubuntu 16.04
EcryptfsInUse: Yes
InstallationDate: Installed on 2016-08-31 (29 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Beta amd64 (20160408)
Package: linux (not installed)
Tags: xenial
Uname: Linux 4.8.0-040800rc8-generic x86_64
UnreportableReason: The running kernel is not an Ubuntu kernel
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

_MarkForUpload: True

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1406810/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
affects: ubuntu → xorg (Ubuntu)
Nicolas Jungers (unbug) wrote :

I wont say it's not xorg, but the symptoms are the same with a base server install.

Nicolas Jungers, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal as it will automatically gather and attach updated debug information to this report:

apport-collect -p xorg 1406810

Please ensure you have xdiagnose installed, and that you click the Yes button for attaching additional debugging information.

As well, given the information from the prior release is already available, testing a release prior to the development one would not be helpful.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Changed in xorg (Ubuntu):
importance: Undecided → Low
status: New → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for xorg (Ubuntu) because there has been no activity for 60 days.]

Changed in xorg (Ubuntu):
status: Incomplete → Expired
Nicolas Jungers (unbug) wrote :

I had the occasion to try again with 15.04, 15.10 and 16.04 (downloaded Sunday 13 March 2016). In each case the screen is dark with fine lines going up.

I've no network and no console. The hardware is the one described.

Nicolas Jungers, could you please boot into your working install of 14.04 and then execute:
apport-collect -p xorg 1406810

tags: added: vivid wily xenial

apport information

tags: added: apport-collected compiz-0.9 trusty ubuntu
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

I've a install of 15.04 running in console mode. I'll add the run of apport xorg from this one. I've not tried to install a console mode 15.10. I may find the time to do that this WE if needed.

Nicolas Jungers (unbug) wrote :

here is the apport file for the 15.04 install

tags: added: regression-release utopic
removed: trusty
tags: added: bios-outdated
Nicolas Jungers (unbug) wrote :

here you are

1) nicolas@i27:~$ sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
[sudo] password for nicolas:
   IM111.88Z.0034.B04.1509231906
09/23/15

2) there is no display any more in 14.04, still no display in 14.10

Changed in xorg (Ubuntu):
status: Expired → New
description: updated
tags: added: latest-bios
removed: bios-outdated

Nicolas Jungers, as a WORKAROUND, are you able to use Precise with fglrx?

As per AMD.com, fglrx is compatible with your graphics card only in Precise.

Changed in xorg (Ubuntu):
importance: Low → Medium
status: New → Incomplete
Nicolas Jungers (unbug) wrote :

I just tried with 12.04 and I also get a black screen. So I got a black screen with 12.04, 14.04, 14.10 and 15.10 - Desktop install DVD.

FWIW, to upgrade the bios I had to install OS X 11 (El Capitan), that worked flawlessly.

Nicolas Jungers (unbug) wrote :
Download full text (4.2 KiB)

I've some new info. I installed 15.10 in server mode, installed lubuntu-desktop and ubuntu-desktop and started X without problem.
startx unity or startx both works.

But nor lightdm nor gdm start. lightdm crash and gdm gives a black screen.

systemctl status lightdm.service
● lightdm.service - Light Display Manager
   Loaded: loaded (/lib/systemd/system/lightdm.service; static; vendor preset: enabled)
   Active: failed (Result: start-limit) since Wed 2016-04-06 21:02:21 CEST; 7s ago
     Docs: man:lightdm(1)
  Process: 11960 ExecStartPre=/bin/sh -c [ "$(basename $(cat /etc/X11/default-display-manager 2>/dev/null))" = "lightdm" ] (code=exited, status=1/FAILURE)
 Main PID: 8131 (code=exited, status=1/FAILURE)

Apr 06 21:02:20 i27 systemd[1]: Failed to start Light Display Manager.
Apr 06 21:02:20 i27 systemd[1]: lightdm.service: Unit entered failed state.
Apr 06 21:02:20 i27 systemd[1]: lightdm.service: Failed with result 'exit-code'.
Apr 06 21:02:21 i27 systemd[1]: lightdm.service: Service hold-off time over, scheduling restart.
Apr 06 21:02:21 i27 systemd[1]: Stopped Light Display Manager.
Apr 06 21:02:21 i27 systemd[1]: lightdm.service: Start request repeated too quickly.
Apr 06 21:02:21 i27 systemd[1]: Failed to start Light Display Manager.
Apr 06 21:02:21 i27 systemd[1]: lightdm.service: Unit entered failed state.
Apr 06 21:02:21 i27 systemd[1]: lightdm.service: Failed with result 'start-limit'.
n@i27:~$ sudo journalctl -xe
--
-- Unit lightdm.service has begun starting up.
Apr 06 21:02:20 i27 systemd[1]: lightdm.service: Control process exited, code=exited status=1
Apr 06 21:02:20 i27 systemd[1]: Failed to start Light Display Manager.
-- Subject: Unit lightdm.service has failed
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
--
-- Unit lightdm.service has failed.
--
-- The result is failed.
Apr 06 21:02:20 i27 systemd[1]: lightdm.service: Unit entered failed state.
Apr 06 21:02:20 i27 systemd[1]: lightdm.service: Failed with result 'exit-code'.
Apr 06 21:02:20 i27 systemd[1]: lightdm.service: Service hold-off time over, scheduling restart.
Apr 06 21:02:20 i27 systemd[1]: friendly-recovery.service: Cannot add dependency job, ignoring: Unit friendly-recovery.service i
Apr 06 21:02:20 i27 systemd[1]: Stopped Light Display Manager.
-- Subject: Unit lightdm.service has finished shutting down
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
--
-- Unit lightdm.service has finished shutting down.
Apr 06 21:02:20 i27 systemd[1]: Starting Light Display Manager...
-- Subject: Unit lightdm.service has begun start-up
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
--
-- Unit lightdm.service has begun starting up.
Apr 06 21:02:20 i27 systemd[1]: lightdm.service: Control process exited, code=exited status=1
Apr 06 21:02:20 i27 systemd[1]: Failed to start Light Display Manager.
-- Subject: Unit lightdm.service has failed
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
--
-- Unit lightdm.service has failed.
--
-- The result is failed.
Apr 06 21:02:20 i27 systemd[1...

Read more...

Nicolas Jungers, you would want to keep testing the latest daily build of Xenial via http://cdimage.ubuntu.com/daily-live/current/ given fixes are landing there on a daily basis. Could you please advise?

Nicolas Jungers (unbug) wrote :

I burned the iso from http://cdimage.ubuntu.com/daily-live/current/xenial-desktop-amd64.iso downloaded yesterday. The image was from the 8th of April.

The boot gives a black screen as usual now that stay till the DVD become quiet.

When editing the grub line and removing the "quiet splash" arguments to casper, after an initial black period, white text flickers too fast for my camera, I'd say a full screen or so, then black again till the end.

Changed in xorg (Ubuntu):
status: Incomplete → Triaged
importance: Medium → High
Nicolas Jungers (unbug) wrote :

Hello,

I updated my 16.04 server install yesterday and it boots to a black screen unless I boot in rescue mode where I get a login prompt. Any idea of what I could do?

Nicolas Jungers, would using the following kernel parameter provide a WORKAROUND:
nomodeset

Nicolas Jungers (unbug) wrote :

Yes, indeed it works. Thanks.

Nicolas Jungers, in order to allow additional upstream developers to examine the issue, at your earliest convenience, could you please test the latest upstream kernel available from http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D ? Please keep in mind the following:
1) The one to test is at the very top line at the top of the page (not the daily folder).
2) The release names are irrelevant.
3) The folder time stamps aren't indicative of when the kernel actually was released upstream.
4) Install instructions are available at https://wiki.ubuntu.com/Kernel/MainlineBuilds .

If testing on your main install would be inconvenient, one may:
1) Install Ubuntu to a different partition and then test this there.
2) Backup, or clone the primary install.

If the latest kernel did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this issue is fixed in the mainline kernel, please add the following tags by clicking on the yellow circle with a black pencil icon, next to the word Tags, located at the bottom of the report description:
kernel-fixed-upstream
kernel-fixed-upstream-X.Y-rcZ

Where X, and Y are the first two numbers of the kernel version, and Z is the release candidate number if it exists.

If the mainline kernel does not fix the issue, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-X.Y-rcZ

Please note, an error to install the kernel does not fit the criteria of kernel-bug-exists-upstream.

Also, you don't need to apport-collect further unless specifically requested to do so.

It is most helpful that after testing of the latest upstream kernel is complete, you mark this report Status Confirmed.

Lastly, to keep this issue relevant to upstream, please continue to test the latest mainline kernel as it becomes available.

Thank you for your help.

Changed in xorg (Ubuntu):
status: Triaged → Incomplete
Nicolas Jungers (unbug) on 2016-09-01
tags: added: kernel-bug-exists-upstream
removed: apport-collected bot-comment compiz-0.9 latest-bios regression-release ubuntu utopic vivid wily xenial
Nicolas Jungers (unbug) on 2016-09-01
tags: added: apport-collected bot-comment compiz-0.9 kernel-bug-exists-upstream-4.8-rc4 latest-bios regression-release ubuntu utopic vivid wily xenial

Nicolas Jungers, to clarify, if you install a 14.10 kernel in 14.04, is this issue reproducible? Kernel install instructions are available at https://wiki.ubuntu.com/Kernel/KernelBisection#Bisecting_Ubuntu_kernel_versions .

Nicolas Jungers (unbug) wrote :

As I said in msg #35, after the bios upgrade there was no display in 14.04 anymore. Since then I wiped the 14.04 install. I can reinstall it if it may be useful.

Nicolas Jungers, what kernel version were you using at that point?

Nicolas Jungers (unbug) wrote :

The stock kernel for 14.04 at the time (around march 2016).

Nicolas Jungers, I need to know at least the kernel series (ex. 3.13) not dates and times.

Nicolas Jungers (unbug) wrote :

I suppose 3.13, but I don't know for sure. I suppose I can install a 14.04 again to see?

Nicolas Jungers, if you wouldn't mind it would be helpful to narrow down the regression. Prior releases may be found at http://releases.ubuntu.com/ .

Nicolas Jungers (unbug) wrote :

I did reinstall 14.04.1 (kernel 3.13.0-32). I got a black screen. I remember that 14.04.4 failed *after* the bios upgrade.

Nicolas Jungers, did you try with the nomodeset parameter in 14.04?

Nicolas Jungers (unbug) wrote :

Yes, with nomodeset it works with 14.04.1. Do you want me to install the 12.04?

To recap, it was working with 14.04 and not with 14.10/15.04/15.10/16.04 before the bios upgrade. After it, it wasn't working anymore on 14.04 but still didn't work on 15.10 and 16.04. I haven't tried 14.10 and 15.04 but I think it may be pointless.

tags: added: needs-bisect
Nicolas Jungers (unbug) wrote :

Christopher Penalver, I'm not sure that we understand each other. Since the bios upgrade there is *no* good kernel version for 14.04.

I don't mind the chore of a kernel bisect, but I haven't a starting point.

Nicolas Jungers, I'm referring to when you use nomodeset.

Nicolas Jungers (unbug) wrote :

Christopher Penalver, with nomodeset, all the kernels are "working".

So to resume, you want me to bisect between 3.13 and 4.4 to seek what?

Nicolas Jungers:

>"Christopher Penalver, with nomodeset, all the kernels are "working"."

To clarify, all kernels meaning even the latest 4.8-rc5?

Nicolas Jungers (unbug) wrote :

No, not 4.8-rc5, but 4.8-rc4 yes.

Nicolas Jungers, to clarify, did you test 4.8-rc5?

Nicolas Jungers (unbug) wrote :

Christopher Penalver, I've now tested the 4.8-rc5. Unsurprisingly the result is the same than for 4.8-rc4.

Do you think that testing each new kernel version one after the other is a path to a solution? It feels more like a path to madness to me.

To recap, 14.04 with kernel 3.13 *was* working and both 14.10 (with kernel 3.16) - 15.04 (with kernel 3.19) *were not* working. 15.10 wasn't working either but Apple released in October a "bios" upgrade that you make me apply to debug the situation. Since then 14.04 doesn't work anymore.

Do you have any suggestion?

Nicolas Jungers:

>"Christopher Penalver, I've now tested the 4.8-rc5. Unsurprisingly the result is the same than for 4.8-rc4. Do you think that testing each new kernel version one after the other is a path to a solution? It feels more like a path to madness to me."

Testing the latest mainline kernel keeps your bug relevant to upstream (the folks who would provide a fix).

>"To recap, 14.04 with kernel 3.13 *was* working and both 14.10 (with kernel 3.16) - 15.04 (with kernel 3.19) *were not* working. 15.10 wasn't working either but Apple released in October a "bios" upgrade that you make me apply to debug the situation. Since then 14.04 doesn't work anymore."

From my understanding, 14.04+ does work booting with nomodeset.

>"Do you have any suggestion?"

Are there any negatives when you boot using nomodeset?

Nicolas Jungers (unbug) wrote :

Christopher Penalver, I understand that the bug that affect me is of low interest, so I don't expect that upstream shall fix it except by chance, nor that you may have lot of time to spend on it.

The negatives for me are a sluggish display and an inability to wake up the screen after going to sleep. It is tolerable most of the time.

When I have time, I'm willing to do tests but just checking the new kernels is not a promising strategy. So again, do you have a suggestion beside just testing the new kernels?

Regards,
N.

Nicolas Jungers, nobody said this report is of low interest. What is occuring is a discovery of the report scope.

Hence, the scope of this report is that you must use nomodeset to boot (not after using nomodeset, you have problems).

Despite this, to confirm a regression point, if you boot with Ubuntu 12.04 (not 14.04+) do you still have to use nomodeset?

tags: removed: needs-bisect regression-release
tags: added: kernel-bug-exists-upstream-4.8-rc5
removed: kernel-bug-exists-upstream-4.8-rc4
description: updated
summary: - screen is garbled with 14.10 (was fine with 14.04)
+ [iMac11,1] Unable to boot
Nicolas Jungers (unbug) wrote :

Christopher Penalver, I did test several versions.

12.04 with nomodeset -> stop at the console with an Xorg error (no screen found)
12.04 without nomodeset -> black screen

12.10 with nomodeset -> hang in console mode
12.10 without nomodeset -> black screen

13.04 with nomodeset -> hang in console mode
13.04 without nomodeset -> black screen

11.10 with nomodeset -> black screen
11.10 without nomodeset -> black screen

Kernel 4.8.0rc8 with nomodeset -> OK
Kernel 4.8.0rc8 without nomodeset -> black screen

Please note that grub editing is really sluggish except for 11.10 and 12.04.

tags: added: kernel-bug-exists-upstream-4.8-rc8 oneiric precise quantal raring
removed: kernel-bug-exists-upstream-4.8-rc5

Nicolas Jungers, could you please capture a failed boot log while using the latest mainline kernel (4.8-rc8) via https://wiki.ubuntu.com/DebuggingKernelBoot ?

apport information

description: updated

apport information

Nicolas Jungers (unbug) wrote :

Christopher Penalver, here is the dmsg of the boot. My video capture is too blury to be usable. Do you need it?

Nicolas Jungers, to advise, you don't have to apport-collect further unless specifically requested to do so (also, it doesn't provide any useful data when you are booted into a mainline kernel).

Despite this, have you had a chance to review the dmesg.log?

Nicolas Jungers (unbug) wrote :

yes, and there is nothing in it that looks suspicious from my level of knowledge.

Nicolas Jungers, could you please attach your Xorg.0.log from a failed boot?

Nicolas Jungers (unbug) wrote :
Changed in xorg (Ubuntu):
status: Incomplete → Triaged
Nicolas Jungers (unbug) wrote :

iMac11,1 (RV770/M98L [Mobility Radeon HD 4850]) needs nomodeset to boot

https://bugs.freedesktop.org/show_bug.cgi?id=98046

James Cameron (quozl) wrote :

Bug also affects me. I've isolated it to a specific kernel patch and updated the upstream bug.

On 18/04/17 11:36, James Cameron wrote:
> Bug also affects me. I've isolated it to a specific kernel patch and
> updated the upstream bug.
>
thanks ! To be frank, the mac being useless for my use is now resold :-)

N.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.